Pull copyright metadata from files on upload
Open, LowPublic

Description

It would be nice to be able to pull copyright metadata directly out of file
formats that support this (Creative Commons tags etc)


Version: unspecified
Severity: enhancement
URL: http://creativecommons.org/technology/

Details

Blocked By
T3555: EXIF data
Commits
Unknown Object (Diffusion Commit)
Reference
bz657
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz657.
brion created this task.Oct 7 2004, 12:46 AM

zeimusu wrote:

Bug 2111, about extracting exif data would fix this for images

zigger wrote:

Bug 1555 was the EXIF-extraction enhancement, and is in the next release (v1.5).

robert_horning wrote:

The only problem I see to accomplishing this in some cases is how each file
format seems to do this a little bit differently. Commonly used file formats
(PNG, PDF, JPG, MPG, MP3) do have official standards on how this is
accomplished. There is some ISO activity to standardize this practice, but it
is not always followed in actual data file formats, even those that are ISO
standards (like MPEG files).

ayg wrote:

Copyright metadata can be false (I'm thinking museums pretending their
digitizations of PD works are protected), so it should always be possible for
the uploader to easily change the built-in status once it's uploaded.

We also had issues using image metadata, with prehistoric items from museums being
given the date the photo was taken.

epriestley closed this task as "Resolved" by committing Unknown Object (Diffusion Commit).Mar 4 2015, 8:20 AM
Qgil reopened this task as "Open".Mar 4 2015, 8:45 AM

Accidental clash. Known issue. Reverting status.

Steinsplitter moved this task from Incoming to Uploading on the Commons board.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:05 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:05 PM
Tbayer added a subscriber: Tbayer.Dec 4 2015, 11:59 PM

Add Comment